﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WPFBindingTest
{
    public class ViewModel : INotifyPropertyChanged
    {
        private List<string> strings;

        public ViewModel()
        {
            this.strings = new List<string>();
        }

        public List<string> Strings
        {
            get { return strings; }
            set
            {
                strings = value;
                FirePropertyChanged("Strings");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void FirePropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        public void AddAnItem()
        {
            strings.Add("test");
            FirePropertyChanged("Strings");
        }

        public void Replace()
        {
            strings = new List<string>();
            FirePropertyChanged("Strings");
        }
    }
}
